

iOS 
---

330c7c3 Updated VERSION to 2.3.0
4cd8467 Updated js to 2.3.0
8b59a6c [CB-2095] Delete incomplete file on filetransfer.abort
8ed848b [CB-2088] InAppBrowser - view a video file in fullscreen mode
534a7a1 Interim js to fix 2 File API mobile-spec failures
a88ea87 Revert enabling of ARC in the project template
d5a82a6 Fix up invalid #pragma mark lines in our project template.
930b1bf Update project template to have iOS 5.0 as the minimal target.
33f2e00 Update guides/Changing the JavaScript to Native Bridge Mode.md
fa6d40a Update to 2.3.0rc2
6c67a0a Updated Plugin Upgrade Guide to 2.3.0 (also 2.2.0)
145d457 [CB-1988] Update JavaScript for iOS to 2.3.0rc2
46682ec Added 2.3.0 Release Notes
c6f8c17 [CB-1550] iOS build, debug, emulate scripts should check xcode version
8e90ed2 Added URLisAllowed method abstraction for Plugins to query (easier if we decide to make the whitelist a singleton in the future)
fe40192 [CB-1962] Video Capture not compressing video after capture - partial revert of CB-1499
8f4c46d Removed incubator website links to TLP http://cordova.apache.org/
495ab52 [CB-1970] MainViewController cannot override pathForResource
d63cf46 Merge branch 'LocalNotifications' of github.com:purplecabbage/cordova-ios
61f15e1 Merge branch 'master' of github.com:purplecabbage/cordova-ios
db395af add appdelegate method didReceiveLocalNotification and repost to defaultCenter
1ba170e added local notification #define, and stubbed method
b00d496 Allow any scheme when specifying start page as a URL.
7e970ad Mention cordova_plist_to_config_xml in the NSAssert for config.xml
345a982 Rename plist2xml.py -> cordova_plist_to_config_xml.
d00dc78 Updated doc references to Cordova.plist, use new config.xml
8d1e52f Removed "incubator" prefix from URLs (except for main website which hasn't changed over yet)
9229bac [ios] Add support for https:// start pages (instead of just http)
7f6d643 [CB-1957] InAppBrowser - video/audio does not stop playing when browser is closed
67e93c9 Add a helper script to convert Cordova.plist to config.xml.
a952761 [ios] Support startPage as URL.  If wwwFolderName or startPage start with 'http://' load resource as if is NSURL
2335d32 Interim cordova-js that supports InAppBrowser events
02b5fee [CB-1949][iOS] InAppBrowser - support events (loadstart, loadstop, exit)
2ba2b39 Changed unsafe_unretained to weak since we are supporting iOS 5.0 and up only now
8724ac6 [CB-1802] ./cordova set of CLI tools need audit to work with paths with spaces
7443bc5 Removed usage of deprecated CDVViewController.invokeString in the default project template files.
5bc8515 Removed double reference to config.xml in default template project (kept the one that is the first child element of the project)
d28cfff [CB-1890] InAppBrowser: location bar url text needs indentation
17a71e8 Fixed non-mp3 files not being able to be played using the Media API
cf5609f [CB-1669] Issue an error when media.startRecord() is failing.
5013589 InAppBrowser - added class check for options arg.
6739488 Added new CDVInvokedUrlCommand argumentAtIndex method to ensure proper object type returned (if not, default is returned)
093c982 [CB-1850] Add device.model to the Device API
99e061c [CB-1837] Device core plugin - device.name should return the actual device string (eg iPod Touch, iPhone)
8ea3ed4 [CB-1836] Device core plugin - device.platform should return "iOS"
3bf3017 Renamed references of Cordova.plist to config.xml (plus uncrustify)
e5b4aaf Updated 2.3.0rc1 js
72156c0 Updated version to 2.3.0rc1
c1eb09f Updated default project template to include config.xml, removed Cordova.plist
ea52434 Added 2.3.0rc1 JavaScript
48c26ef Merge branch 'cordova.xml'
9147fcc More review changes from Andrew.
4c428ab Fix tabs-vs-spaces in template config.xml.
0008a7a Removing empty method from the parser delegate.
8936d20 Pull the parser delegate into its own files.
5b8608e Migrate unit tests to use config.xml. Cleanups suggested by Andrew.
0e87e6b Remove Cordova.plist from resources, add config.xml
321420b Remove template Cordova.plist, add config.xml.
df186ef Debug cleanup. Improved error messages for XML parsing.
8ff5197 Working XML parsing.
9a9242a Fix invalidating of cached UA when Locale changes with the app closed.
38c7deb Update cordova.ios.js with change to not require cordove.iOSVCAddr
0447deb Have the InAppBrowser not use a GUID in its UA.
e8a7401 Use the VC's address in the User-Agent instead of a GUID.
66fed79 Fix InAppBrowser handling of NSNull relative URLS.
eb48666 Uncrustify
d494d7c Add argument fetching helpers to CDVInvokedUrlCommand.
b8c57f1 [CB-1889] Added userAgent property to CDVViewController (systemVersion and locale dependent, cached)
9ac5969 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
cb5f1c8 adding release command for iOS
6e60c22 Fixing autoresizingMask of imageView
5ce5e15 Removing forced status bar rotation logic
a37d37b Removed setWantsFullScreenLayout from CDVViewController, simplified viewWillAppear in template app.
b51fdb3 Update fix to CB-1695 - the main Cordova UIWebView has a unique User-Agent now.
181dd19 Integrated latest js - includes window.open (InAppBrowser)
acc8b34 renaming commands
2f1f022 [CB-1695] CDVURLProtocol should not apply whitelist to non-Cordova view controllers/requests
029ed25 InAppBrowser - append GUID to the UIWebView UserAgent to differentiate the different instances (for the white-list)
5a4b0ea Default project template -- Added InAppBrowser plugin to Cordova.plist
f43a331 CordovaLibAppTest -- Added Globalization, InAppBrowser plugins to Cordova.plist
cc9c2be InAppBrowser - pass on window options for _self if url is not in the whitelist (which is kicked out to the InAppBrowser)
26a6535 Added CDVInAppBrowser implementation.
7e6946d Fixed deprecated [AVAsset naturalSize] usage in Capture API (getFormatData)
9c836fb Add version number to cordova.ios.js in create script.
c65aadf Move cordova-VERSION.js from bin/templates to CordovaLib.
9656792 Fix not being able to seek to position 0.
8d5925e Updated deprecation notice for our minimum iOS 5.0 support
56697f7 [CB-1824] SIGABRT when view loads - reason: '-[__NSCFBoolean isEqualToString:]: unrecognized selector
ddc14b1 Fix unit tests not working due to lack of a command delegate.
69c1375 Making whitelist rejection string configurable
dac34c4 Updated bin/diagnose_project to print out conditional ARCHs build settings.
458ffaa Updated CordovaLibAppTests to 2.2.0 JavaScript, updated Cordova.plist
46f0992 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
8656d6a Merge branch 'master' of github.com:purplecabbage/incubator-cordova-ios
b792bf5 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
20777ab Merge branch 'master' of git://github.com/apache/incubator-cordova-ios
ff04241 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
3c74479 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
f3a6ecc Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
bee6e9d Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
8898ae4 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
2bc366a Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-ios
678071b Merge branch 'master' of github.com:purplecabbage/cordova-ios
cb0e277 Merge branch 'master' of github.com:purplecabbage/cordova-ios
61368d0 Merge pull request #2 from cordova/master
2b2c2e6 Merge pull request #1 from shazron/view-extraction


Android 
---

3caa45d Typo.  Missed index.html in incrementation
7c069f1 Incrementing version to 2.3.0 final
6efeb14 Incremeting version to 2.3.0rc2
01f062d Saving a contact with an email type of work sets it to home
2a42c46 CB-1973: We don't need to log three damn times!  If it wasn't for HTC, I'd remove this entirely.
182843e CB-1850 change: Model is getModel, name is getProduct
9a9d36e CB-1969: Searching for emails in Contacts throws an exception always errors out
7d5249e Clean up warnings in InAppBrowser
f7910c41 Changing FILL_PARENT to MATCH_PARENT, removing Eclipse deprecation warnings
3973f4f More back button woes! The Fix for CB-1960 did weird things on both my end and Simon's end, sadly they're both different things.  This should simply the code and resolve it.  Sadly, all the unit tests pass as usual.
8a19769 Fix for CB-1960, we now check to see if any view is on the WebView, since they won't always be custom
c0ee593 [CB-1959] Display usage and exit when no arguments given
c806451 Update Android SDK verions and commons-codec version in README.md.
00e5ff1 Updated cordova.android.js for CB-1950 - InAppBrowser events
432aec6 [CB-1950] InAppBrowser - support events
2c202b8 Partial Fix/Workaround for CB-1856.  Also removed old deprecated code
a42dc08 Start adding events to InAppBrowser
48f5811 CB-1938: Regression, Android back button event is no longer fired
7b37249 Tagging to 2.3.0rc1
9ca2a16 Updating JS so that InAppBrowser will work out of the box
f1e8400 Merge branch 'master' of http://git-wip-us.apache.org/repos/asf/cordova-android
11e0ffa Add @JavascriptInterface annotations to ExposedJsApi.
2ee4326 updating create command
226e72a adding release command
65c78b8 removing ApplicationInfo.class
6137c7c removing appinfo.jar
5bebf11 CB-1888: Can't add a Photo from a HTTPS address to Contact
68161d2 refactoring windows scripts
a6473cb adding install function
0084c6f refactoring android commands
a87825d CB-1508: Implement InAppBrowser feature
3566154 Add @JavascriptInterface annotations to ExposedJsApi.
92d69e3 updating create command
08a190e adding release command
98339ee removing ApplicationInfo.class
fa387fd Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-android
54979f2 removing appinfo.jar
538e90f CB-1888: Can't add a Photo from a HTTPS address to Contact
d9107bc refactoring windows scripts
3f3a0b9 adding install function
e1347e4 refactoring android commands
7657faa CB-1852: Android version of model implemented, too bad it's all code names and not human readable
28ef765 Upgrading App plugin to CordovaPlugin
d2f5939 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-android
df90bdb Fixing up the tests so they crash less.
c416c77 Fix for CB-1879 by Tom Clarkson.  Hacked in due to lack of pull request
ce05a72 Update .gitignore
6c19a44 CB-1864: Figured out how to simulate back button, test both the CordovaWebView back button and the general DroidGap case using the default implementation
f4612fd Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-android
04b9a0b Death to tabs while working on CB-1864
f93c438 CB-1860: NPE in onReceivedError with non local errorUrl
e1d6084 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-android
9233c3a Fixing error with the tests, backbuttonmultipage wasn't added
dfa5143 Bumping Android API version to 17
5810a96 Adding reflection so that this compiles, need to test against HTC Desire HD 2.3.6 device before resolving CB-1845
70473a8 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-android
525fd30 Merge branch 'Android_2.3.4_camera_crash' of git://github.com/IuriiO/incubator-cordova-android into null_camera
5212cd4 Disable JS Interface on Honeycomb
e95bde6 Correctly report the mime type of 3ga files
4fe73cf CB-1835: Camera.getPicture gives error when get a picture from photo library with spaces in its name on Android
78b2835 Merge branch 'master' of https://github.com/ilbambino/incubator-cordova-android
f9a49ef Removed unnecessary import.
b9ddc9e Camera plugin (HTC Incredible) is crashing on 2.3.4 devices without SD card
dc459c8 CB-1829: Online/Offline events do not fire on subsequent pages of an app
1d26239 not getting the path correctly if the URI contains a file://
e51b489 Guard against null mimeType in MediaFile.getFormatData
81f283e CB-1794 fixing cordova commands for paths with spaces in them
ccdd2fd CB-1809 `create` script should print out meaningful error messages
69f11a2 Updating the project so that the activities are clearly separated from Test and Helper code
cf494f3 Fixing the tests so that they run as an Activity again
d5895c6 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-android
2ac9873 CB-1808: FileEntry.moveTo across file systems incorrectly calls the success callback
eb59e76 Fixing CB-1801


BlackBerry 
---

1420a0c [CB-2142] - updating version
8c013ff [CB-2120] - update javascript
80e3ef1 Remove webworks.js from project template since it will be injected by cordova.
d1a3abd [CB-2005] - updated version
c7f84df [CB-1996] - Updating www
750cda9 [CB-1987] - updating javascript
5598f52 [CB-1954] - support for custom headers for blackberry
2db6e88 Updating javascripts
db9ae14 [CB-1853] - adding in device.model
22083e2 Comment out of date
d3e566f Updating readme
1cf79b0 [CB-1668] - updating project scripts to be more in line with other platforms
c747a03 Updated to latest version of webworks SDK
fd0e120 Updating javascripts
9090a69 [CB-1918] - tagging bb
6f8f6a7 [CB-1909] - updating /www
67bc4cd [CB-1900] - Updating the javascripts
5cae5fe using the right path would be good
ef16d93 debug token support for playbook
4506e7d add package-app target to top-level build.xml
9c1edcc Added debug token support to the debug-device command in qnx
721f551 normalizing device value for blackberry java
bad44d8 Normalize BlackBerry Device values
30c933a Updated javascript and added a debug-simulator command
7e385cb Updated BlackBerry to only use one javascript


Windows 
---

bfc1436 updates for 2.3.0
629817c update js for 2.3.0
eb721c8 updates for 2.3.0rc2
b32dd22 update cordova-js to 2.3.0 RC1


Windows Phone 7 
---

379574b update versions for 2.3.0
a8b6d1b updates for 2.3.0 release
04bea48 update assembly info for rc2
476b686 update to 2.3.0rc2
7bd2fbf oops, missed a couple renames WP7 -> WP
9a0f12d update Device version to 2.3.0
5112135 Merge pull request #24 from purplecabbage/RenameNamespace
29fc3f5 renamed namespace to NOT include device OS version number 7
755025a added using, instead of fully qualified namespace
5109de5 add OnReset virtual to BaseCommand, and call it when page navigates
35d9a5c fixed issue with Camera capability preventing running on WP8 devices
7d96778 added model property to device
41de5f5 update version files, and standalone template
115a04f update to 2.3.0rc1 and fix issue with File upload
d3cc114 update cordova-js to 2.3.0rc1
a481d78 Merge branch 'master' of github.com:purplecabbage/incubator-cordova-wp7
7979288 [CB-339] Should not be able to create a file or directory if the parent directory does not exist.


Windows Phone 8 
---



Bada 
---

5f76b83 updating VERSION
ae910bc updating VERSION file
5f4590e updating VERSION


BadaWac 
---

a65d381 updating javascript and VERSION file
705c038 updating js and VERSION file
54fd3ea updating VERSION file


WebOS 
---

65fa7c6 updated 2.3.0 updates to cordova-js libs
50928b7 updates to cordova.js - added pause/resume document events to sysmgr calls, online/offline document events mapped to network connection service. switched from strings to constants in connection for connection type
e3e4625 update version to 2.3.0


Tizen 
---

a5ebe1c updating javascript and VERSION
4b15355 updating JS and VERSION file
b987d49 updating js and version file


QT 
---

b34e260 updating VERSION file
dbe90c5 updating VERSION
d073f8e updating VERSION
81cc123 updating VERSION


OSX 
---



Docs 
---

af24b6c Version 2.3.0
cd567a0 Updated iOS getting started guide
8b69b74 [CB-2097] Embedded CordovaView docs - need to retain CDVViewController object
c988fa6 Merge remote-tracking branch 'keiko713/jp_2.1.0' into master
5c6ac10 [CB-2105] - fixed link for bb getting started guide
94c825f Update and translate files related to getting-started, plugin-development, upgrading, and whitelist
0cf828b Update files related to cordova-webview and getting-started
8803373 Update files related to file, geolocation, media, notification and storage
899753e Update files related to contacts, device, and events
0f16a39 Update files related to compass and connection
eba65e2 Update files related to accelerometer and camera
4272ca3 Copy docs/jp/2.0.0 to docs/jp/2.1.0
ac6c1ab Spelling fixes by jsoref
da128e6 CB-2048: Docs need to be combed over for references to incubator
fbe6abb 2.3.0rc2
ed0023a This should be fixed. CB-2069
8a54833 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-docs
7b1c42c Merging in ctetreault changes
6d2c95b added BlackBerry 10
4ff0217 added some changes from @olivierbloch
263e633 [CB-2061] Update iOS permissions sections for new config.xml use
cb480fc InAppBrowser - added a note to window.open to call encodeURI on the url passed in (for URLs with Unicode chars)
b31ddb2 [CB-1952] Document InAppBrowser events, InAppBrowser API and options
7f88599 [CB-1884] Update iOS Upgrading Guide for 2.3.0
89943d5 [CB-1981] Update Device API docs for device.model (for most platforms, this is what device.name was)
5faa716 added the rest of it, WP8
cd37fb5 added globalization for Windows Phone 8
be23360 updated for windows phone 8
f84955f moar wp8
4cf284c adding WP8
7d6e04e added info on WP7.5 vs WP8
4461704 updated getting started for WP8
6da4069 Fixing CB-1956
1851ba0 Adding the instructions, these hardly ever change
82efba8 tagging docs 2.3.0rc1
611323c [CB-1940] Update iOS Whitelist Guide for new config.xml
df1820b [CB-1939] Update iOS Project Settings for new config.xml
01200c6 [CB-1866] iOS minimum requirements
307256d [CB-1838] iOS - Update Device docs for corrected device.platform implementation
8455917 [CB-1839] iOS - Update Device docs for corrected device.name implementation
6adbf75 [CB-1894] Cordova 2.2.0 upgrading guide missing Cordova.plist changes needed
5e57a9c CB-1935: FileTransfer.upload still documents the old way to specify headers
aeedb99 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-docs
53953e6 adding release doc
727554d CB-1883: Should we document the trustAllHosts parameter for FileTransfer.download/upload?
5bc8f5f Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-docs
6102920 Updated the Android WebView code docs with more helpful snippets
04dfa52 updating docs
6356698 Adding Eclair and Honeycomb Deprecation Notices, and Minimum Requirements Issue: CB-1867
3e5fb5c Fix typo where 'ant' is spelled 'any'
3f835a2 Adding more info to Android Getting Started
04d4836 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-docs
4fbcdbb CB-1742 documentation
c57461e Add setup environment variables to getting started Android
8ba0943 CB-1805: Updating the docs


MobileSpec 
---

3c4a01c Updated version to 2.3.0
dbd91a5 Fixes CB-2109 device.platform value in audio
7aa6572 Spelling: writer
02945d7 Spelling: should
47252d8 Spelling: create
842537f Spelling: callback
b560189 Updated to 2.3.0rc2
7a610b5 Updated to 2.3.0rc1
fab6d8e Add manual tests for InAppBrowser
b70273b Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-mobile-spec
56a11aa CB-1855: Add device.model to Device API.  Adding the test
7f7ba85 Test both navigator.network.connection and navigator.connection


CordovaJS 
---

24d65ab Updating the version to 2.3.0
4082ee0 Fixed lint error in BB10 file module and got rid of BlobBuilder use
df5c78d Add initial File API support for BB10
2226b09 [CB-2058] [iOS] 2 File API test failures on mobile-spec 2.3.0rc2
d8204cc Small refactor to injection of webworks.js
877fec1 Inject BB10 WebWorks script in bootstrap
861ff3d Incrementing version to 2.3.0rc2
4301bc9 Bad whitespace, fixing
46c89d1 [CB-1853] - adding in device.model
8186a04 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-js
c9f310f Local XHR fix for WP8 CB-1813. This is actually commit: 35d32b75ac6e4901f3309316ea8578faf8fa8869
832eb92 [CB-1953] - fix for playbook's api's not being clobbered
0be5344 [CB-1951] [cordova-js] InAppBrowser - support events (loadstart, loadstop, exit)
f29591f Switched from strings to Constants defined in Connection for connection type
75f2fa6 Added pause/resume document events mapped to sysmgr calls, added online/offline document events mapped to network connection service
fdfefbf Better code coverage for blackberry qnx unit tests
53110dc qnx tests
c46b140 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/cordova-js
6aa2be3 updating js files
54335c8 Fix whitespace in android/platform.js
c768740 CB-1508: Implement InAppBrowser feature for Android
abb6cf5 CB-1508: Implement InAppBrowser feature for Android
05bd1a4 Updating VERSION file
05d4fd0 [ios] Get the vc header from the User-Agent instead of cordova.iOSVCAddr
ee4a70c [all] Use argscheck in requestFileSystem.js
1fe276b [all] Use argscheck in device.js
4864283 [all] Use argscheck in resolveLocalFileSystemURI.
f81be66 [all] Use argscheck in geolocation.js
58990da [all] Use argscheck in contacts.js
f400233 [all] Use argscheck in compass.js.
9ba65d4 [all] Use argscheck in accelerometer.js
bd3e925 [all] Use argscheck in globalization.js
1dfa2ac [all] Add argscheck module.
6798d21 Fix error message about how to install dependencies.
8f2ccf3 remove trailing comma
3dcdf35 [ios] Remove custom initialization of geolocation on navigator.
7203d33 Fixed whitespace issues in InAppBrowser.js
3e61b37 Added InAppBrowser common plugin (window.open)
9204c35 CB-1855: Adding device.model to the Common JS
48d5bb1 Switching back in favour of Java fix
13840a8 CB-1879: Reverting to prompt because addJavascriptInterface is borked on Android 4.2, unable to expose methods due to annotations crashing
166a98f addPlugin support to air and qnx managers
a018c49 [all] Change builder functions to be normal instead of closures
99fadd1 [all] Rename builder keys to make them consistent across common/platform
a33b47d [all] Fix typo in bootstrap that caused modules to not be merged in.
c0f68da Fixed whitespace and unit test for BlackBerry 10
57dcbcc Normalizing BlackBerry device information
75eb826 fixed another windows vs. unix path issue.
a56d60e Merge branch 'master' of https://github.com/purplecabbage/incubator-cordova-js
ce50b72 Clean up build and testing
74f47a6 Updates to tests and pulled updates from Gord Tanner
46f7216 fix issues with running blackberry tests in the browser runner
ad3b1c9 fixed whitespace and finished up the media tests for blackberry bb10.
759bd70 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-js
6235f1c Updating tests based on code review (WIP)
1fd5638 makes a lot more sense to use the userAgent to figure out what BlackBerry platform we are on
fc85e82 Merge branch 'master' of https://github.com/mlantz/incubator-cordova-js into bb-tests
8051761 Corrections and further test expansions
82dc004 webworks notification tests
2db5e4e webworks media tests
e1be8e7 webworks accelerometer tests
1e2d5c0 webworks logger test
dd0df7d Corrections and further test expansions
68f55ca Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-js
9c2f547 Added some more BlackBerry 10 Unit Tests
590874f webworks notification tests
a182d1e webworks media tests
e7c62f6 webworks accelerometer tests
30e32b9 webworks logger test
2d15c40 [all] Refactor network.js a bit. No functional change.
557dab7 [all] Never use platform's navigator.connection. Always clobber
41ef8a7 [all] Use JS getters to clobber getters in buider.js
9799533 Unit testing blackberry specific platform code
72bf85c fixed yet another line ending issue committed by a Mac user who doesn't realize that some of us work on other OS's
5fb7d76 removed invalid test, MediaError constructor is not defined by the spec, duck-typing testable only
6e92476 Merge pull request #16 from purplecabbage/CombineWP7+8
8789b41 mass rename
d86cd3e correct linting issue stating navigator is ReadOnly, use passed in context
f7a572d Remove wp7 add windowsphone
9ac1d0d Merge branch 'wp8-v2' of git://github.com/sgrebnov/incubator-cordova-js
e67e1a8 Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-js
ea02e1e merge/update DeviceProxy.js
58aa9b9 various W8 tweaks.
f782859 update cordova version
e739247 Update lib/webos/plugin/webos/compass.js
2031552 wp7/8 compatible version of DOMStorage
10d6ebc duplicate wp7 as wp
a637188 [ios] Fix lint warnings recently added.
678f1dc [ios] Add unit tests for exec bridge.
c4362c7 Add a mock for XMLHttpRequest to be used in tests.
8641124 [ios] Tweak exec bridge logic to not send excess XHRs.
c3517e7 Add util methods for array.indexOf and array.remove.
3ae88d1 Switched BB10 Battery support over to navigator.webkitBattery
08f7fe4 Wait for DOMContentLoaded for booting of BlackBerry (BB10 requires this)
0919268 Refactored BlackBerry into one javascript file
0bdb835 store deviceId in Windows.Storage.ApplicationData.current.localSettings.values.deviceId, instead of global documents folder.
beb8dda whitespace
6f0db27 linting and hinting
6805a3a return the uuid we worked so hard to get
95efdcd Merge branch 'master' of https://git-wip-us.apache.org/repos/asf/incubator-cordova-js
425ad0b merge platform + deviceproxy
a45667e Update lib/windows8/platform.js
c1532c3 Update lib/windows8/plugin/windows8/DeviceProxy.js
81c951b save device UUID in a file
2148b3e fix bad filename callback bug
3966b1f fix MediaError bug
b543b5a Merge branch 'master' of git://git.apache.org/incubator-cordova-js
4fde207 fix bugs in CaptureProxy.js
efc20a1 Update test/window8/README.txt
a3e734b Update test/window8/README.txt
13ef019 rm some untested test cases
1aa4b3e add window8 test case & readme.txt
8bc917e Update lib/common/utils.js
d4cd536 fix whitespace & push basic contacts module


Hello World App 
---

95bb86b [app] Version 2.3.0
b6589fc [app] Version 2.3.0rc2
9884dca [app] Version 2.3.0rc1
